Skip to content
Start here

List namespaces.

client.aiSearch.namespaces.list(NamespaceListParams { account_id, page, per_page, search } params?, RequestOptionsoptions?): V4PagePaginationArray<NamespaceListResponse { created_at, name, description } >
GET/accounts/{account_id}/ai-search/namespaces

List namespaces.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params: NamespaceListParams { account_id, page, per_page, search }
account_id?: string

Path param

page?: number

Query param: Page number (1-indexed).

minimum1
per_page?: number

Query param: Number of results per page.

maximum100
minimum1
ReturnsExpand Collapse
NamespaceListResponse { created_at, name, description }
created_at: string
formatdate-time
name: string
description?: string | null

Optional description for the namespace. Max 256 characters.

maxLength256

List namespaces.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const namespaceListResponse of client.aiSearch.namespaces.list({
  account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22',
})) {
  console.log(namespaceListResponse.created_at);
}
{
  "result": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "production",
      "description": "Production environment"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "production",
      "description": "Production environment"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0
  },
  "success": true
}